Skip to content
Judgment Labs
Esc
↑↓navigate↵open⌘Jpreview

Fetch offline-test datasets

Fetch Supabase-backed v1 offline-test datasets for a project.

GET/v1/projects/{projectId}/datasets
Authorization
AuthorizationPersonal API key · headerrequired

Your personal API key from Settings > Personal API Keys, sent as Bearer <key>.

X-Organization-IdOrganization ID · headerrequired

The organization to act in. Copy it with Copy organization ID in the organization menu or the settings sidebar.

Path parameters
projectIdstringrequired
Responses
200

Response for status 200

Array of object
dataset_idstringrequired
organization_idstring
project_idstring
namestringrequired
schemaobject | null
Show properties
Any of:
object
object
null
null
current_versionnumber
created_atstring
updated_atstring
creator_idstring | nullrequired
Show properties
Any of:
string
string
null
null
entriesnumber
test_config_countnumber
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.judgmentlabs.ai/v1/projects/YOUR_PROJECT_ID/datasets' \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'X-Organization-Id: YOUR_ORGANIZATION_ID' \
  -H 'Accept: application/json'
Response
[
  {
    "dataset_id": "string",
    "organization_id": "string",
    "project_id": "string",
    "name": "string",
    "schema": {},
    "current_version": 0,
    "created_at": "string",
    "updated_at": "string",
    "creator_id": "string",
    "entries": 0,
    "test_config_count": 0
  }
]

Was this page helpful?